package com.yonge.cooleshow.biz.dal.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.common.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author: cy
 * @Date: 2022/6/15
 */
@ApiModel
public class CourseGroupPianoDetailVo extends BaseEntity {
    @ApiModelProperty("课程id")
    private Long courseId;

    @ApiModelProperty("声部名称")
    private String subjectName;

    @ApiModelProperty("老师id")
    private Long teacherId;

    @ApiModelProperty("老师姓名")
    private String teacherName;

    @ApiModelProperty("老师真实姓名")
    private String teacherRealName;

    @ApiModelProperty("课程状态 NOT_START未开始 ING进行中 COMPLETE已完成 CANCEL已取消")
    private String status;

    @ApiModelProperty("学员人数")
    private Integer studentCount;

    @ApiModelProperty("扣减时长")
    private Integer courseTime;

    @ApiModelProperty("开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    @ApiModelProperty("结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

    @ApiModelProperty("老师签到状态 0:异常 1:正常")
    private Integer teacherInSign;

    @ApiModelProperty("老师签退状态 0:异常 1:正常")
    private Integer teacherOutSign;

    @ApiModelProperty("学生签到状态 0:异常 1:正常")
    private Integer studentInSign;

    @ApiModelProperty("学生签退状态 0:异常 1:正常")
    private Integer studentOutSign;

    @ApiModelProperty("学生状态 0:异常 1:正常")
    private Integer studentSign;

    @ApiModelProperty("老师状态 0:异常 1:正常")
    private Integer teacherSign;

    @ApiModelProperty("学生id")
    private Long studentId;
    @ApiModelProperty("学生姓名")
    private String studentName;
    @ApiModelProperty("学生真实姓名")
    private String studentRealName;

    public Integer getStudentInSign() {
        return studentInSign;
    }

    public void setStudentInSign(Integer studentInSign) {
        this.studentInSign = studentInSign;
    }

    public Integer getStudentOutSign() {
        return studentOutSign;
    }

    public void setStudentOutSign(Integer studentOutSign) {
        this.studentOutSign = studentOutSign;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentRealName() {
        return studentRealName;
    }

    public void setStudentRealName(String studentRealName) {
        this.studentRealName = studentRealName;
    }

    public Integer getTeacherSign() {
        return teacherSign;
    }

    public void setTeacherSign(Integer teacherSign) {
        this.teacherSign = teacherSign;
    }

    public Integer getStudentSign() {
        return studentSign;
    }

    public void setStudentSign(Integer studentSign) {
        this.studentSign = studentSign;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherRealName() {
        return teacherRealName;
    }

    public void setTeacherRealName(String teacherRealName) {
        this.teacherRealName = teacherRealName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public Integer getCourseTime() {
        return courseTime;
    }

    public void setCourseTime(Integer courseTime) {
        this.courseTime = courseTime;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getTeacherInSign() {
        return teacherInSign;
    }

    public void setTeacherInSign(Integer teacherInSign) {
        this.teacherInSign = teacherInSign;
    }

    public Integer getTeacherOutSign() {
        return teacherOutSign;
    }

    public void setTeacherOutSign(Integer teacherOutSign) {
        this.teacherOutSign = teacherOutSign;
    }
}
